summary refs log tree commit diff
path: root/catsit.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-08-15 16:40:15 -0400
committerJune McEnroe <june@causal.agency>2020-08-15 16:40:15 -0400
commit6fb08baee3602fc28c323a8eced868fd49050d7f (patch)
treed99bb308eda4cf46fd215269c91df529cfa81dbd /catsit.sh
parentUse only LOG_NOTICE and LOG_WARNING (diff)
downloadcatsit-6fb08baee3602fc28c323a8eced868fd49050d7f.tar.gz
catsit-6fb08baee3602fc28c323a8eced868fd49050d7f.zip
Rename project to catsit
Diffstat (limited to '')
-rw-r--r--catsit.sh (renamed from spawn.sh)10
1 files changed, 5 insertions, 5 deletions
diff --git a/spawn.sh b/catsit.sh
index 052a7fd..bc18a46 100644
--- a/spawn.sh
+++ b/catsit.sh
@@ -6,18 +6,18 @@ die() {
 	exit 1
 }
 
-: ${SPAWND_PIPE:=/var/run/spawnd.pipe}
+: ${CATSITD_PIPE:=/var/run/catsitd.pipe}
 
 while getopts 'c:' opt; do
 	case "${opt}" in
-		(c) SPAWND_PIPE=$OPTARG;;
+		(c) CATSITD_PIPE=$OPTARG;;
 		(?) exit 1;;
 	esac
 done
 shift $((OPTIND - 1))
 
-if ! [ -p "${SPAWND_PIPE}" ]; then
-	die "${SPAWND_PIPE} is not a named pipe"
+if ! [ -p "${CATSITD_PIPE}" ]; then
+	die "${CATSITD_PIPE} is not a named pipe"
 fi
 
 [ $# -lt 1 ] && die 'action required'
@@ -31,4 +31,4 @@ if [ "${action}" != "${valid}" ]; then
 	die "${action} is not a valid action or signal"
 fi
 
-echo "$@" > "${SPAWND_PIPE}"
+echo "$@" > "${CATSITD_PIPE}"